// FGGE Game Example
GameEngine.Renderer.generateCanvas();
GameEngine.Renderer.setCanvasSize(800, 600);
GameEngine.Renderer.setBackgroundColor("black");
GameEngine.Renderer.setFramerate(20);

var touchIcon = new GameEngine.Renderer.Model("touch.png");

// This is just a 2D vector to remember position of every touch.
function touchPosition(x, y) {
	this.x = x;
	this.y = y;
}

var touchPositions = new Array();

function gameFunction() {
	GameEngine.Renderer.clearScreen();
	
	// Print every touch in the list...
	for(var touchID in touchPositions) {
		console.log();
		
		// If the touch ended, skip it...
		if(!touchPositions[touchID])
			continue;
		
		// ...else render it.
		touchIcon.x = touchPositions[touchID].x;
		touchIcon.y = touchPositions[touchID].y;
		touchIcon.render();
	}
}

function touchListener(event) {
	if(event.getEventType() == GameEngine.Touch.TouchEvent.EVENT_START) {
		// This is a new touch, add to touch list...
		touchPositions[event.getTouchID()] = new touchPosition(event.x, event.y);
	} else if(event.getEventType() == GameEngine.Touch.TouchEvent.EVENT_END) {
		// This touch just ended, remove it from list...
		touchPositions[event.getTouchID()] = undefined;
	} else if(event.getEventType() == GameEngine.Touch.TouchEvent.EVENT_MOVE) {
		// This touch changed position, update it...
		touchPositions[event.getTouchID()].x = event.x;
		touchPositions[event.getTouchID()].y = event.y;
	}
}

GameEngine.Touch.addTouchListener(touchListener);

GameEngine.startGame(gameFunction);